Create privilegedRoleAssignment
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Caution
This version of the Privileged Identity Management (PIM) API for Azure Active Directory (Azure AD) roles is deprecated and stopped returning data on May 31, 2021. Use the new role management API.
Use this API to create a new privilegedRoleAssignment.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
The requestor needs to have Privileged Role Administrator role.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Directory.AccessAsUser.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
POST /privilegedRoleAssignments
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
In the request body, supply a JSON representation of privilegedRoleAssignment object.
Response
If successful, this method returns 201 Created response code and privilegedRoleAssignment object in the response body.
Note that the tenant needs to be registered to PIM. Otherwise, the HTTP 403 Forbidden status code will be returned.
Example
Request
Here is an example of the request.
POST https://graph.microsoft.com/beta/privilegedRoleAssignments
Content-type: application/json
{
"userId": "userId-value",
"roleId": "roleId-value"
}
In the request body, supply a JSON representation of privilegedRoleAssignment object.
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "id-value",
"userId": "userId-value",
"roleId": "roleId-value",
"isElevated": true,
"expirationDateTime": "2016-10-19T10:37:00Z",
"resultMessage": "resultMessage-value"
}
Feedback
Submit and view feedback for